Bug 2082 - mkinitrd broken wrt root raid1
: mkinitrd broken wrt root raid1
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mkinitrd)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-01-28 00:01 by
Modified: 2005-08-30 02:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-01-28 00:01:05
our mkinitrd is severely broken regarding root raid.

RH7.3\'s works perfectly.

testcase: 

[disk1] /boot swap /
[disk2] /boot swap /

Have some initrds from both ALM2 and RH7.3.

NB: /boot MUST be first as per <a href="http://www.tldp.org/HOWTO/mini/Boot+Root+Raid+LILO-3.html">http://www.tldp.org/HOWTO/mini/Boot+Root+Raid+LILO-3.html</a> :

\&quot;In theory the start of the raid partition could fall anywhere in the 1024 megs, but in practice I was unable to get it to work unless the boot-raid started at the first block of the set.\&quot;

Additional Reading:
<a href="http://search.altlinux.ru/?q=root+raid">http://search.altlinux.ru/?q=root+raid</a>
<a href="http://search.altlinux.ru/?q=root+raid1">http://search.altlinux.ru/?q=root+raid1</a>
---
would mark as \&quot;block\&quot; not as \&quot;major\&quot; but don\'t believe it\'s realistically fixable before ALM2.2...
---

------- Comment #1 From 2003-08-28 19:15:58 -------
Please check mkinitrd-2.8.9-alt1 
------- Comment #2 From 2003-08-31 10:55:20 -------
2.8.7-vsu and 2.8.8-alt1 work (have a pre-production setup with
2.4.21-std-smp-alt13 / 2.8.8-alt1)

will update it with 2.4.21-std-smp-alt14+ and recheck that
------- Comment #3 From 2003-10-18 20:31:25 -------
fixed long ago and verified to work
------- Comment #4 From 2005-08-30 02:24:59 -------
closing
------- Comment #5 From 2005-08-30 02:36:24 -------
closing